local frame = CreateFrame("Frame");

frame:RegisterEvent('PLAYER_ENTERING_WORLD');
frame:RegisterEvent("ADDON_LOADED");
frame:RegisterEvent("PLAYER_FLAGS_CHANGED");

if not AFKTimer then AFKTimer = 0 end
if not AFKMasterTimer then AFKMasterTimer = 0 end
local AFKstart = 0;
local AFKend = 0;
local AFKelapsedtime = 0;
local AFKtime = false
local playerName = UnitName("player");


frame:SetScript("OnEvent", function(self, event, arg1, ...)
	local firstLoadIn = false
    if event == "ADDON_LOADED" and arg1 == "AFKMaster" then
        print("|cffFF0000[AFK Master]|r Loaded - made by |cff00FF00Ubz|r on |cff00FF00Mograine EU|r");
        frame:UnregisterEvent('ADDON_LOADED')
        firstLoadIn = true
    elseif UnitIsAFK("player") then
        AFKstart = time()
        afk_time = true
    elseif afk_time then
        afk_time = false
        AFKend = time()
        AFKelapsedtime = AFKend - AFKstart
        AFKTimer = AFKTimer + AFKelapsedtime
    end


function disp_time(AFKTimer)
local days = floor(AFKTimer/86400)
local hours = floor(mod(AFKTimer, 86400)/3600)
local minutes = floor(mod(AFKTimer,3600)/60)
local seconds = floor(mod(AFKTimer,60))
    if days >= 1 then
    return format("%d days %d hours %d minutes %d seconds",days,hours,minutes,seconds)
    else
        if hours >= 1 then 
        return format("%d hours %d minutes %d seconds",hours,minutes,seconds)
        else
            if minutes >= 1 then
            return format("%d minutes %d seconds",minutes,seconds)
            else
                return format("%d seconds",seconds)
                end
            end
        end
    end
end)

-- Slash commands
SLASH_AFKMaster1 = "/am";
SlashCmdList["AFKMaster"] = function(msg)
    print("|cffFF0000[AFK Master] |r|cff67F908You have been AFK for " .. disp_time(AFKTimer) .."|r");
end
SLASH_AFKMasterSay1 = "/ams";
SlashCmdList["AFKMasterSay"] = function(msg)
	SendChatMessage("[AFK Master] " .. playerName .. " has been AFK for " .. disp_time(AFKTimer) .. "", "SAY")
end
SLASH_AFKMasterParty1 = "/amp";
SlashCmdList["AFKMasterParty"] = function(msg)
	SendChatMessage("[AFK Master] " .. playerName .. " has been AFK for " .. disp_time(AFKTimer) .. "", "PARTY")
end
SLASH_AFKMasterRaid1 = "/amr";
SlashCmdList["AFKMasterRaid"] = function(msg)
	SendChatMessage("[AFK Master] " .. playerName .. " has been AFK for " .. disp_time(AFKTimer) .. "", "RAID")
end
SLASH_AFKMasterGuild1 = "/amg";
SlashCmdList["AFKMasterGuild"] = function(msg)
	SendChatMessage("[AFK Master] " .. playerName .. " has been AFK for " .. disp_time(AFKTimer) .. "", "GUILD")
end